import React from 'react';
import {
  Router as DefaultRouter,
  Route,
  Switch,
  StaticRouter,
} from 'react-router-dom';
import dynamic from 'umi/dynamic';
import renderRoutes from 'umi/lib/renderRoutes';
import history from '@@/history';
import { routerRedux } from 'dva';

const Router = routerRedux.ConnectedRouter;

const routes = [
  {
    path: '/',
    component: require('../../layouts/index.js').default,
    routes: [
      {
        path: '/class',
        exact: true,
        component: require('../class/index.js').default,
      },
      {
        path: '/detail',
        exact: true,
        component: require('../detail/index.js').default,
      },
      {
        path: '/home',
        exact: true,
        component: require('../home/index.js').default,
      },
      {
        path: '/login',
        exact: true,
        component: require('../login/index.js').default,
      },
      {
        path: '/my',
        exact: true,
        component: require('../my/index.js').default,
      },
      {
        path: '/searchText',
        exact: true,
        component: require('../searchText/index.js').default,
      },
      {
        path: '/viewHome/categoryEntry',
        exact: true,
        component: require('../viewHome/categoryEntry/index.js').default,
      },
      {
        path: '/viewHome/homeHeader',
        exact: true,
        component: require('../viewHome/homeHeader/index.js').default,
      },
      {
        path: '/viewHome',
        exact: true,
        component: require('../viewHome/index.js').default,
      },
      {
        path: '/viewHome/productList',
        exact: true,
        component: require('../viewHome/productList/index.js').default,
      },
      {
        path: '/viewHome/TabsList',
        exact: true,
        component: require('../viewHome/TabsList/index.js').default,
      },
      {
        component: () =>
          React.createElement(
            require('C:/Users/john/Desktop/mock_item/cmsManage(1)/cmsManage/node_modules/umi-build-dev/lib/plugins/404/NotFound.js')
              .default,
            { pagesPath: 'src/pages', hasRoutesInConfig: false },
          ),
      },
    ],
  },
  {
    component: () =>
      React.createElement(
        require('C:/Users/john/Desktop/mock_item/cmsManage(1)/cmsManage/node_modules/umi-build-dev/lib/plugins/404/NotFound.js')
          .default,
        { pagesPath: 'src/pages', hasRoutesInConfig: false },
      ),
  },
];
window.g_routes = routes;
const plugins = require('umi/_runtimePlugin');
plugins.applyForEach('patchRoutes', { initialValue: routes });

export { routes };

export default class RouterWrapper extends React.Component {
  unListen() {}

  constructor(props) {
    super(props);

    // route change handler
    function routeChangeHandler(location, action) {
      plugins.applyForEach('onRouteChange', {
        initialValue: {
          routes,
          location,
          action,
        },
      });
    }
    this.unListen = history.listen(routeChangeHandler);
    // dva 中 history.listen 会初始执行一次
    // 这里排除掉 dva 的场景，可以避免 onRouteChange 在启用 dva 后的初始加载时被多执行一次
    const isDva =
      history.listen
        .toString()
        .indexOf('callback(history.location, history.action)') > -1;
    if (!isDva) {
      routeChangeHandler(history.location);
    }
  }

  componentWillUnmount() {
    this.unListen();
  }

  render() {
    const props = this.props || {};
    return <Router history={history}>{renderRoutes(routes, props)}</Router>;
  }
}
