import React, { Component } from 'react'
import styles from './index.less';
import { config, request, permission, util } from 'utils'
const { WXMpAPI } = config
class categoryEntry extends Component {
    constructor(props) {
        super(props)
        this.state = {
            departmentList: ""
        }
    }
    componentWillMount() {
        this.getDepartmentList();
    }
    getDepartmentList = () => {
        let that = this
        const data = {
            "pageIndex": 1,
            "pageSize": 10,
            "filters": [
                {
                    "field": "column_id",
                    "operate": "equal",
                    "value": 1
                }
            ],
        }
        request({
            url: WXMpAPI + '/wx/content/department/queryDepartmentsByColumnId',
            method: "post",
            data: data
        }).then((sussess) => {
            console.log(sussess, 'sussess');
            that.setState({
                departmentList: sussess.items
            })
        });
    }
    render() {
        return (
            <div className={styles.home_h}>
                <nav className={styles.m_nav}>
                    <ul style={{ display: "flex", justifyContent: "space-between",flexWrap:"wrap", padding: "0" }}>
                        {
                            this.state.departmentList && this.state.departmentList.map((item, index) => {
                                return <li class={styles.nav_item}>
                                    <a href="#" class={styles.nav_item_link}>
                                        <img src={this.state.src} style={{ height: '100%', width: "100%" ,borderRadius:"50%"}} />
                                        <span>京东超市</span>
                                    </a>
                                </li>
                            })
                        }
                    </ul>
                </nav>
            </div>
        )
    }
}
export default categoryEntry

