
import React, { Component } from 'react'
import { Carousel } from 'antd';
import HomeHeaderView from './homeHeader/index';
import HomeHav from './categoryEntry/index';
import ProductList from './productList/index';
import { config, request, permission, util } from 'utils'
const { WXMpAPI } = config
import './index.less';
class Home extends Component {
    constructor(props) {
        super(props)
        this.state = {
            list: []
        }
    }
    // categoryEntry
    componentWillMount() {
        this.getBannerList();
    }
    getBannerList = () => {
        let that = this
        const data = {
            "filters": [
                {
                    "field": "rotation_graph_column_id",
                    "operate": "equal",
                    "value": 1
                }
            ],
        }
        request({
            url: WXMpAPI + '/wx/content/rotationGraph/queryAllRotationGraphs',
            method: "post",
            data: data
        }).then((sussess) => {
            that.setState({
                list: sussess.items
            })
        });
    }

    render() {
        return (
            <div className="home">
                <HomeHeaderView></HomeHeaderView>
                <ProductList></ProductList>
                {/* <HomeHav></HomeHav> */}
                <Carousel autoplay>
                    {
                        this.state.list && this.state.list.map((item, key) => {
                            return <div>
                                <h3>{item.rotationGraphName}</h3>
                                <img src={item.rotationGraphAddress} style={{ height: '120px', width: "100%" }} />
                            </div>
                        })

                    }
                </Carousel>
            </div>
        )
    }
}

export default Home
